
package TimeTravel
{
  import flash.events.*;

  public class LevelInfo
  {
    public var name:String;
    private var levelWidth:int;
    private var levelHeight:int;
    private var levelSelector:LevelSelector = null;
    public var levelNumber:int;
    
    public function LevelInfo(name:String, levelWidth:int, levelHeight:int)
    {
      this.name = name;
      this.levelWidth = levelWidth;
      this.levelHeight = levelHeight;
    }
    
    public function getLevelWidth():int
    {
      return levelWidth;
    }

    public function getLevelHeight():int
    {
      return levelHeight;
    }

    public function populateMaze(maze:Maze):Boolean
    {
      return false;
    }
    
    public function setLevelSelector(levelSelector:LevelSelector)
    {
      this.levelSelector = levelSelector;
    }
    
    public function levelSelect(event:Event)
    {
      levelSelector.selectedLevel = this;
      levelSelector.levelSelect(event);
    }
  }
}

