
package TimeTravel.Levels
{
  import TimeTravel.*;

  public class LevelGetTheStars extends LevelInfo
  {
    public function LevelGetTheStars()
    {
      super("Get tHe staR", 5, 5);
    }

    public override function populateMaze(maze:Maze):Boolean
    {
      maze.displayUpperLeft[0] += 1.5 * maze.displayTileSize;

      maze.addSquare(1, 0);
      maze.setContents(1, 0, MazeSquare.STARS);
      
      maze.addSquare(2, 0);
      maze.addSquare(2, 1);
      maze.addSquare(2, 2);
      maze.addSquare(3, 2);
      maze.setContents(3, 2, MazeSquare.WARP);
      
      maze.addSquare(2, 3);
      maze.setContents(2, 3, MazeSquare.BLOCK);

      maze.addSquare(2, 4);
      maze.addSquare(3, 4);
      maze.getLocation(3, 4).starsNeeded = 1;
      
      maze.addSquare(4, 4);
      maze.setContents(3, 4, MazeSquare.BLOCK);
      maze.getLocation(3, 4).starsTarget = maze.getLocation(4, 4);

      maze.addSquare(4, 3);
      maze.setExit(4, 3, 0, -1);
      
      maze.addSquare(1, 4);
      maze.addSquare(0, 4);
      maze.setEntrance(0, 4, 1, 0);

      return true;
    }
  }
}

