
package TimeTravel.Levels
{
  import TimeTravel.*;

  public class LevelLinked extends LevelInfo
  {
    public function LevelLinked()
    {
      super("LINKED", 8, 5);
    }

    public override function populateMaze(maze:Maze):Boolean
    {
      maze.addSquare(1, 0);
      maze.addSquare(1, 1);
      maze.addSquare(3, 1);
      maze.addSquare(5, 1);
      maze.addSquare(0, 2);
      maze.setContents(0, 2, MazeSquare.BLOCK);
      maze.addSquare(1, 2);
      maze.addSquare(2, 2);
      maze.addSquare(3, 2);
      maze.addSquare(4, 2);
      maze.setContents(4, 2, MazeSquare.BLOCK);
      maze.linkBlocks(4, 2, 0, 2);
      maze.addSquare(5, 2);
      maze.addSquare(6, 2);
      maze.addSquare(6, 3);
      maze.addSquare(2, 3);
      maze.addSquare(4, 3);
      maze.addSquare(1, 4);
      maze.addSquare(2, 4);
      maze.addSquare(4, 4);
      maze.addSquare(5, 4);
      maze.setContents(1, 4, MazeSquare.WARP);

      maze.setExit(6, 3, 0, 1);
      maze.setEntrance(1, 0, 0, 1);

      return true;
    }
  }
}

