
package TimeTravel.Levels
{
  import TimeTravel.*;

  public class LevelTwoKeys extends LevelInfo
  {
    public function LevelTwoKeys()
    {
      super("tWo kEYs", 7, 6);
    }

    public override function populateMaze(maze:Maze):Boolean
    {
      maze.displayUpperLeft[0] += maze.displayTileSize;
      
      maze.addSquare(0, 2);
      maze.setEntrance(0, 2, 0, 1);
      
      maze.addSquare(0, 3);
      maze.addSquare(0, 4);
      maze.addSquare(1, 4);
      maze.addSquare(2, 4);
      
      maze.addSquare(3, 4);
      maze.setContents(3, 4, MazeSquare.BLOCK);

      maze.addSquare(3, 5);
      maze.addSquare(4, 4);
      maze.addSquare(4, 5);
      maze.setContents(4, 5, MazeSquare.WARP);
      
      maze.addSquare(3, 3);
      maze.addSquare(2, 2);
      maze.addSquare(3, 2);
      maze.addSquare(2, 1);
      maze.addSquare(3, 1);
      maze.addSquare(2, 0);
      maze.setContents(2, 0, MazeSquare.KEY);
      maze.addSquare(3, 0);
      
      maze.addSquare(4, 2);
      maze.addSquare(5, 2);
      maze.addSquare(5, 1);
      maze.setExit(5, 1, 0, -1);

      maze.getLocation(4, 2).keysNeeded = 2;
      maze.setContents(4, 2, MazeSquare.DOOR);
      maze.getLocation(4, 2).doorClosed = true;
     
      
      return true;
    }
  }
}

