
package TimeTravel
{
  public class ObservationEvent implements PlayerEvent
  {
    var maze:Maze;
    var obs:Array;
    var linkedWorldEvents:Array = new Array();
    
    public function ObservationEvent(obs:Array, maze:Maze)
    {
      this.maze = maze;
      this.obs = obs;
    }

    public function linkWorldEvent(event:WorldEvent)
    {
      linkedWorldEvents.push(event);
    }

    public function getLinkedWorldEvents():Array
    {
      return linkedWorldEvents.slice();
    }
    
    public function beginPlayerForward(player:Player) {
      for each (var o:Array in obs) {
	if (!maze.recordedSight[o[0]]) maze.recordedSight[o[0]] = [];
	if (!maze.recordedSight[o[0]][o[2]]) maze.recordedSight[o[0]][o[2]] = [];
	maze.recordedSight[o[0]][o[2]][o[3]] = [o[1], o[4]];
      }
    }
    public function showPlayerForward(player:Player, completion:Number) { }
    public function endPlayerForward(player:Player) { }
    public function beginPlayerReverse(player:Player) { }
    public function showPlayerReverse(player:Player, completion:Number) { }
    public function endPlayerReverse(player:Player) {
      for each (var o:Array in obs) {
	maze.recordedSight[o[0]][o[2]][o[3]] = null;
      }
    }
  }
}

