﻿
package TimeTravel
{
  import TimeTravel.Player;
  import TimeTravel.MazeSquare;
  import flash.filters.*;
   
  public class PlayerWaitEvent implements PlayerEvent
  {
    var at:MazeSquare;
    var linkedWorldEvents:Array = new Array();
	
    public function PlayerWaitEvent(at:MazeSquare)
    {
      this.at = at;
    }

    public function linkWorldEvent(event:WorldEvent)
    {
      linkedWorldEvents.push(event);
    }

    public function getLinkedWorldEvents():Array
    {
      return linkedWorldEvents.slice();
    }

    public function beginPlayerForward(player:Player) { }
    public function showPlayerForward(player:Player, completion:Number) { }
    public function endPlayerForward(player:Player) { }

    public function beginPlayerReverse(player:Player) { }
    public function showPlayerReverse(player:Player, completion:Number) { }
    public function endPlayerReverse(player:Player) { }
  }
}

