
package TimeTravel
{
  import flash.display.*;
  import flash.filters.*;
  import flash.geom.*;
  import UserInterface.*;

  public class SpriteFadeTransition implements SpriteTransition
  {
    var matrix:Array;

    public function SpriteFadeTransition()
    {
      matrix = new Array();
      matrix = matrix.concat([1, 0, 0, 0, 0]); // red
      matrix = matrix.concat([0, 1, 0, 0, 0]); // green
      matrix = matrix.concat([0, 0, 1, 0, 0]); // blue
      matrix = matrix.concat([0, 0, 0, 1, 0]); // alpha
    }

    public function displayTransition(from:Sprite, to:Sprite, complete:Number)
    {
      var fromFilter:ColorMatrixFilter;
      matrix[3*5+3] = 1.0 - complete;
      fromFilter = new ColorMatrixFilter(matrix);
      from.filters = [fromFilter];
      
      var toFilter:ColorMatrixFilter;
      matrix[3*5+3] = complete;
      toFilter = new ColorMatrixFilter(matrix);
      to.filters = [toFilter];
    }
  }
}

