
package TimeTravel
{
  import UserInterface.*;
  import flash.display.Sprite;
  
  public class BubbleDialog extends FilteredSprite
  {
    private var tf:EasyTextField;

    public function BubbleDialog(text:String, parent:Sprite, minWidth:int = 0, minHeight:int = 0)
    {
      super();
      tf = new EasyTextField(text, 18, 0x000000);
      tf.width = 0.75 * parent.stage.stageWidth;
      tf.setCoords(0, 0); // parent.stage.stageWidth / 2, 0);
      // parent.addChild(tf);
      
      var w:int = Math.max(tf.width + 20, minWidth);
      var h:int = Math.max(tf.height + 20, minHeight);
      graphics.beginFill(0x000000);
      graphics.drawRoundRect(tf.x - 12, tf.y - 12, w+4, h+4, 0.05*w);
      graphics.endFill();
      graphics.beginFill(0xFFFFFF);
      graphics.drawRoundRect(tf.x - 10, tf.y - 10, w, h, 0.05*w);
      graphics.endFill();
      shadowOn = true;
      updateFilters();

      var hooded:FilteredSprite = Sprites.createNamedSprite("hooded");
      hooded.x = tf.x + 20;
      hooded.y = tf.y - 30;
      addChild(hooded);

      addChild(tf);
      
      /*
      var doc:FilteredSprite = Sprites.createNamedSprite(MazeSquare.PLAYER);
      doc.x = tf.x + tf.width - 20;
      doc.y = tf.y + tf.height + 10;
      addChild(doc);
      parent.removeChild(tf);
      addChild(tf);
      */
    }
  }
}

