
package TimeTravel
{
  import UserInterface.*;
  import flash.display.Sprite;
  
  public class BubbleStrip extends FilteredSprite
  {
    private var tf:EasyTextField;

    public function BubbleStrip(text:String, parent:Sprite)
    {
      super();
      tf = new EasyTextField(text, 16, 0x000000);
      tf.x = 90;
      tf.y = 20;

      graphics.moveTo(-25 + tf.x, tf.y + tf.height/2);
      graphics.beginFill(0x000000);
      graphics.lineTo(-10 + tf.x, tf.y + tf.height/2 - 6);
      graphics.lineTo(-10 + tf.x, tf.y + tf.height/2 + 6);
      graphics.lineTo(-25 + tf.x, tf.y + tf.height/2);
      graphics.endFill();

      graphics.moveTo(-24 + tf.x, tf.y + tf.height/2);
      graphics.beginFill(0xFFFFFF);
      graphics.lineTo(-9 + tf.x, tf.y + tf.height/2 - 5);
      graphics.lineTo(-9 + tf.x, tf.y + tf.height/2 + 5);
      graphics.lineTo(-24 + tf.x, tf.y + tf.height/2);
      graphics.endFill();

      graphics.beginFill(0x000000);
      graphics.drawRoundRect(-10 + tf.x, -5 + tf.y, tf.width + 20, tf.height + 10, 10);
      graphics.endFill();

      graphics.beginFill(0xFFFFFF);
      graphics.drawRoundRect(-10 + tf.x, -4 + tf.y, tf.width + 19, tf.height + 8, 10);
      graphics.endFill();

      shadowOn = true;
      updateFilters();

      var hooded:FilteredSprite = Sprites.createNamedSprite("hooded");
      hooded.x = 30;
      hooded.y = 30;
      addChild(hooded);
      
      addChild(tf);
      
      /*
      var doc:FilteredSprite = Sprites.createNamedSprite(MazeSquare.PLAYER);
      doc.x = tf.x + tf.width - 20;
      doc.y = tf.y + tf.height + 10;
      addChild(doc);
      parent.removeChild(tf);
      addChild(tf);
      */
    }
  }
}

