
package TimeTravel
{
  import UserInterface.*;
  import flash.display.Sprite;
  
  public class BubbleDialog extends FilteredSprite
  {
    private var tf:EasyTextField;
    
    public function BubbleDialog(text:String, parent:Sprite)
    {
      super();
      tf = new EasyTextField(text, 18, 0x000000);
      tf.width = 0.75 * parent.stage.stageWidth;
      tf.setCoords(parent.stage.stageWidth / 2, 0);
      parent.addChild(tf);
      
      graphics.beginFill(0x000000);
      graphics.drawRoundRect(tf.x - 12, tf.y - 12, tf.width + 24, tf.height + 24, 0.05*tf.width);
      graphics.endFill();
      graphics.beginFill(0xFFFFFF);
      graphics.drawRoundRect(tf.x - 10, tf.y - 10, tf.width + 20, tf.height + 20, 0.05*tf.width);
      graphics.endFill();
      shadowOn = true;
      updateFilters();

      var hooded:FilteredSprite = Sprites.createNamedSprite("hooded");
      hooded.x = tf.x + 20;
      hooded.y = tf.y - 20;
      addChild(hooded);

      var doc:FilteredSprite = Sprites.createNamedSprite(MazeSquare.PLAYER);
      doc.x = tf.x + tf.width - 20;
      doc.y = tf.y + tf.height + 10;
      addChild(doc);
      parent.removeChild(tf);
      addChild(tf);
    }
  }
}

