
package TimeTravel
{
  import flash.display.*;
  import flash.filters.*;
  import flash.geom.*;
  import UserInterface.*;

  public class SpriteOverlayTransition implements SpriteTransition
  {
    var matrix:Array;

    public function SpriteOverlayTransition(stage:Stage)
    {
      this.stage = stage;
      matrix = new Array();
      matrix = matrix.concat([1, 0, 0, 0, 0]); // red
      matrix = matrix.concat([0, 1, 0, 0, 0]); // green
      matrix = matrix.concat([0, 0, 1, 0, 0]); // blue
      matrix = matrix.concat([0, 0, 0, 1, 0]); // alpha
    }

    var bg:Sprite = null;
    var stage:Stage = null;
    
    public function displayTransition(from:Sprite, to:Sprite, complete:Number)
    {
      if (bg == null)
      {
	bg = new Sprite();
	bg.graphics.beginFill(0xAAAAFF);
	bg.graphics.drawRect(0, 0, stage.stageWidth, stage.stageHeight);
	bg.graphics.endFill();
	to.addChild(bg);
      }
      
      var bgFilter:ColorMatrixFilter;
      matrix[3*5+3] = 0.5 - 0.5 * complete;
      bgFilter = new ColorMatrixFilter(matrix);
      bg.filters = [bgFilter];

      var fromFilter:ColorMatrixFilter;
      matrix[3*5+3] = 0.0; // 1.0 - complete;
      fromFilter = new ColorMatrixFilter(matrix);
      from.filters = [fromFilter];
    }
  }
}

