
package TimeTravel
{
  import flash.display.*;
  import flash.geom.*;
  import flash.filters.*;

  public class Sprites
  {
    private static var assetNames:Object = new Object();

    [Embed(source="../Images/meanwhile.png")]
    private static var Meanwhile:Class;
    assetNames["meanwhile"] = Meanwhile;

    [Embed(source="../Images/close-button.png")]
    private static var CloseButton:Class;
    assetNames["close-button"] = CloseButton;

    [Embed(source="../Images/tt-gameplay.png")]
    private static var TimeTravelGameplay:Class;
    assetNames["tt-gameplay"] = TimeTravelGameplay;

    [Embed(source="../Images/tt-objects.png")]
    private static var TimeTravelObjects:Class;
    assetNames["tt-objects"] = TimeTravelObjects;

    [Embed(source="../Images/tt-keys.png")]
    private static var TimeTravelKeys:Class;
    assetNames["tt-keys"] = TimeTravelKeys;

    [Embed(source="../Images/backstory.png")]
    private static var Backstory:Class;
    assetNames["tt-backstory"] = Backstory;

    [Embed(source="../Images/episode-one-end.png")]
    private static var EpisodeOneEnd:Class;
    assetNames["tt-episode-one-end"] = EpisodeOneEnd;

    [Embed(source="../Images/hooded48.png")]
    private static var HoodedBitmap48:Class;
    assetNames["hooded"] = HoodedBitmap48;
    
    [Embed(source="../Images/paradox-dude48.png")]
    private static var ParadoxDudeBitmap48:Class;

    [Embed(source="../Images/paradox-dude36.png")]
    private static var ParadoxDudeBitmap36:Class;

    [Embed(source="../Images/paradox-dude24.png")]
    private static var ParadoxDudeBitmap24:Class;

    assetNames["paradox-dude"] = [[24, ParadoxDudeBitmap24], [36, ParadoxDudeBitmap36], [48, ParadoxDudeBitmap48]];

    [Embed(source="../Images/red-right-arrow24.png")]
    private static var RRArrow24:Class;

    [Embed(source="../Images/red-right-arrow36.png")]
    private static var RRArrow36:Class;

    [Embed(source="../Images/red-right-arrow48.png")]
    private static var RRArrow48:Class;

    assetNames["red-right-arrow"] = [[24, RRArrow24], [36, RRArrow36], [48, RRArrow48]];

    // DUDE.PNG (24, 36, 48 pixels)

    [Embed(source="../Images/dude24.png")]
    private static var DudeBitmap24:Class;

    [Embed(source="../Images/dude36.png")]
    private static var DudeBitmap36:Class;

    [Embed(source="../Images/dude48.png")]
    private static var DudeBitmap48:Class;

    assetNames[MazeSquare.PLAYER] = [[24, DudeBitmap24], [36, DudeBitmap36], [48, DudeBitmap48]];

    // WARP.PNG (24, 36, 48 pixels)
    
    [Embed(source="../Images/warp24.png")]
    private static var WarpBitmap24:Class;

    [Embed(source="../Images/warp36.png")]
    private static var WarpBitmap36:Class;

    [Embed(source="../Images/warp48.png")]
    private static var WarpBitmap48:Class;

    assetNames[MazeSquare.WARP] = [[24, WarpBitmap24], [36, WarpBitmap36], [48, WarpBitmap48]];

    // BLOCK.PNG (24, 36, 48 pixels)

    [Embed(source="../Images/block24.png")]
    private static var BlockBitmap24:Class;

    [Embed(source="../Images/block36.png")]
    private static var BlockBitmap36:Class;

    [Embed(source="../Images/block48.png")]
    private static var BlockBitmap48:Class;

    assetNames[MazeSquare.BLOCK] = [[24, BlockBitmap24], [36, BlockBitmap36], [48, BlockBitmap48]];

    // LIGHT-BLOCK.PNG (24, 36, 48, 72 pixels)

    [Embed(source="../Images/light-block24.png")]
    private static var LightBlockBitmap24:Class;

    [Embed(source="../Images/light-block36.png")]
    private static var LightBlockBitmap36:Class;

    [Embed(source="../Images/light-block48.png")]
    private static var LightBlockBitmap48:Class;

    [Embed(source="../Images/light-block72.png")]
    private static var LightBlockBitmap72:Class;

    assetNames[MazeSquare.LIGHT_BLOCK] = [[24, LightBlockBitmap24], [36, LightBlockBitmap36], [48, LightBlockBitmap48], [72, LightBlockBitmap72]];

    // KEY.PNG (24, 36, 48, 72 pixels)

    [Embed(source="../Images/key24.png")]
    private static var KeyBitmap24:Class;

    [Embed(source="../Images/key36.png")]
    private static var KeyBitmap36:Class;

    [Embed(source="../Images/key48.png")]
    private static var KeyBitmap48:Class;

    [Embed(source="../Images/key72.png")]
    private static var KeyBitmap72:Class;

    assetNames[MazeSquare.KEY] = [[24, KeyBitmap24], [36, KeyBitmap36], [48, KeyBitmap48], [72, KeyBitmap72]];

    // STAR.PNG (24, 36, 48, 72 pixels)

    [Embed(source="../Images/star24.png")]
    private static var StarBitmap24:Class;

    [Embed(source="../Images/star36.png")]
    private static var StarBitmap36:Class;

    [Embed(source="../Images/star48.png")]
    private static var StarBitmap48:Class;

    [Embed(source="../Images/star72.png")]
    private static var StarBitmap72:Class;

    assetNames[MazeSquare.STARS] = [[24, StarBitmap24], [36, StarBitmap36], [48, StarBitmap48], [72, StarBitmap72]];

    [Embed(source="../Images/green-check.png")]
    private static var GreenCheckBitmap:Class;
    assetNames["green-check"] = GreenCheckBitmap;

    [Embed(source="../Images/new-green-check.png")]
    private static var NewGreenCheckBitmap:Class;
    assetNames["new-green-check"] = NewGreenCheckBitmap;

    [Embed(source="../Images/locked-level.png")]
    private static var LockedLevelBitmap:Class;
    assetNames["locked-level"] = LockedLevelBitmap;

    [Embed(source="../Images/Picture52-nohands.png")]
    private static var ClockNoHandsBitmap:Class;
    assetNames["clock-no-hands"] = ClockNoHandsBitmap;

    [Embed(source="../Images/Picture52-bighand.png")]
    private static var ClockBigHandBitmap:Class;
    assetNames["clock-big-hand"] = ClockBigHandBitmap;

    [Embed(source="../Images/Picture52-littlehand.png")]
    private static var ClockLittleHandBitmap:Class;
    assetNames["clock-little-hand"] = ClockLittleHandBitmap;

    [Embed(source="../Images/plain-door48.png")]
    private static var DoorBitmap48:Class;

    [Embed(source="../Images/plain-door36.png")]
    private static var DoorBitmap36:Class;

    [Embed(source="../Images/plain-door24.png")]
    private static var DoorBitmap24:Class;

    assetNames["door"] = [[48, DoorBitmap48], [36, DoorBitmap36], [24, DoorBitmap24]];

    [Embed(source="../Images/plain-door-key.png")]
    private static var Door1KeyBitmap:Class;
    assetNames["door-1-key"] = Door1KeyBitmap;

    [Embed(source="../Images/plain-door-two-key48.png")]
    private static var Door2KeyBitmap48:Class;

    [Embed(source="../Images/plain-door-two-key36.png")]
    private static var Door2KeyBitmap36:Class;

    [Embed(source="../Images/plain-door-two-key24.png")]
    private static var Door2KeyBitmap24:Class;

    assetNames["door-2-key"] = [[48, Door2KeyBitmap48], [36, Door2KeyBitmap36], [24, Door2KeyBitmap24]];

    [Embed(source="../Images/plain-door-three-key.png")]
    private static var Door3KeyBitmap:Class;
    assetNames["door-3-key"] = Door3KeyBitmap;

    [Embed(source="../Images/zero-of-one-stars.png")]
    private static var ZeroOfOneStarsBitmap:Class;
    assetNames["0-of-1-stars"] = ZeroOfOneStarsBitmap;

    [Embed(source="../Images/one-of-one-stars.png")]
    private static var OneOfOneStarsBitmap:Class;
    assetNames["1-of-1-stars"] = OneOfOneStarsBitmap;

    [Embed(source="../Images/zero-of-two-stars.png")]
    private static var ZeroOfTwoStarsBitmap:Class;
    assetNames["0-of-2-stars"] = ZeroOfTwoStarsBitmap;

    [Embed(source="../Images/one-of-two-stars.png")]
    private static var OneOfTwoStarsBitmap:Class;
    assetNames["1-of-2-stars"] = OneOfTwoStarsBitmap;

    [Embed(source="../Images/two-of-two-stars.png")]
    private static var TwoOfTwoStarsBitmap:Class;
    assetNames["2-of-2-stars"] = TwoOfTwoStarsBitmap;

    assetNames["???"] = StarBitmap48;

    public static function createNamedSprite(name:String, size:int = 48):FilteredSprite
    {
      if (assetNames[name])
      {
	var assetClass:Class = null;
	if (assetNames[name] instanceof Class)
	{
	  assetClass = assetNames[name];
	}
	else
	{
	  var availableSizes:Array = assetNames[name];
	  for each (var availableSize:Array in availableSizes) if (assetClass == null || availableSize[0] == size)
	  {
	    assetClass = availableSize[1];
	  }
	}

	// if (name == MazeSquare.PLAYER && size == 48 && Math.random() < 0.5)
	// {
	//  assetClass = HoodedBitmap48;
	// }

	var bitmap:Bitmap = new assetClass();
	return createSprite(bitmap);
      }

      var sprite:FilteredSprite = createSprite(new assetNames["???"]());
      sprite.blurX = 5;
      sprite.blurY = 0;
      sprite.updateFilters();
      return sprite;
    }

    private static function createSprite(bitmap:Bitmap):FilteredSprite
    {
      var sprite:FilteredSprite = new FilteredSprite();
      var g:Graphics = sprite.graphics;
      var matrix:Matrix = new Matrix();
      var width:int = bitmap.width;
      var height:int = bitmap.height;
      matrix.translate(-width/2, -height/2);
      g.beginBitmapFill(bitmap.bitmapData, matrix);
      g.drawRect(-width/2, -height/2, width, height);
      g.endFill();
      sprite.shadowOn = true;
      sprite.updateFilters();
      return sprite;
    }
  }
}

