
package UserInterface
{
  import flash.text.*;
  import TimeTravel.Fonts;

  public class EasyTextField extends TextField
  {
    public function EasyTextField(text:String, fontSize:int, fontColor:uint = 0x000000)
    {
      this.text = text;
      var format:TextFormat = getTextFormat();
      format.font = new Fonts().phoenixFont.fontName;
      format.align = TextFormatAlign.CENTER;
      format.size = fontSize;
      format.color = fontColor;
      this.setTextFormat(format);
      this.defaultTextFormat = format;
      this.embedFonts = true;
      this.selectable = false;
      this.autoSize = TextFieldAutoSize.CENTER;
    }

    public function setCoords(x:int, y:int)
    {
      this.x = x - this.width / 2;
      this.y = y;
    }      
  }
}

